cURL
curl --request POST \
--url https://grid.squads.xyz/api/grid/v1/accounts:custom \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-grid-environment: <x-grid-environment>' \
--header 'x-idempotency-key: <x-idempotency-key>' \
--data '
{
"policies": {
"signers": [
{
"address": "<string>",
"permissions": []
}
],
"threshold": 1,
"admin_address": "<string>",
"time_lock": 1
},
"memo": "<string>"
}
'import requests
url = "https://grid.squads.xyz/api/grid/v1/accounts:custom"
payload = {
"policies": {
"signers": [
{
"address": "<string>",
"permissions": []
}
],
"threshold": 1,
"admin_address": "<string>",
"time_lock": 1
},
"memo": "<string>"
}
headers = {
"x-grid-environment": "<x-grid-environment>",
"x-idempotency-key": "<x-idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-grid-environment': '<x-grid-environment>',
'x-idempotency-key': '<x-idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
policies: {
signers: [{address: '<string>', permissions: []}],
threshold: 1,
admin_address: '<string>',
time_lock: 1
},
memo: '<string>'
})
};
fetch('https://grid.squads.xyz/api/grid/v1/accounts:custom', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"address": "<string>",
"policies": {
"signers": [
{
"address": "<string>",
"permissions": []
}
],
"threshold": 1,
"adminAddress": "<string>",
"timeLock": 1
},
"type": "<string>"
},
"metadata": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}
}accounts
Post apigridv1accounts:custom
POST
/
api
/
grid
/
v1
/
accounts:custom
cURL
Authorizations
Your Grid API key from the Grid Dashboard
Headers
Solana network environment (sandbox, production)
Optional idempotency key to prevent duplicate account creation
Was this page helpful?
⌘I